---
title: "Historical contract: Find Driver Group"
description: "Historical Ordering.co API contract for GET /drivergroups/{drivergroup_id}, kept for reference. Use the current API reference for new integrations."
canonical: https://docs.ordering.co/api-reference/guides/history/get-driver-group/
---

# Historical contract: Find Driver Group

[]()

> **Historical API contract.** This page describes an earlier API contract. Methods, paths, and responses may differ from the current API.

## Historical meaning

Find Driver Group

This API endpoint is used to get a specific driver group.

## Current API

For new integrations, use the linked current API reference or guide.

[View the current API reference](https://docs.ordering.co/api-reference/#tag/drivergroups/GET/drivergroups/%7Bdrivergroup_id%7D)

## Parameters

```json
[
  {
    "name": "language",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "en"
    },
    "required": true
  },
  {
    "name": "project",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "<redacted-personal>"
    },
    "required": true
  },
  {
    "name": "drivergroup_id",
    "in": "path",
    "schema": {
      "type": "integer",
      "format": "int32"
    },
    "required": true
  },
  {
    "name": "params",
    "in": "query",
    "schema": {
      "type": "string"
    }
  },
  {
    "name": "api_version",
    "in": "path",
    "schema": {
      "type": "string",
      "default": "v400"
    },
    "required": true
  }
]
```

## Request body

```json
null
```

## Responses

```json
{
  "200": {
    "description": "200",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": false,\n  \"result\": {\n    \"id\": 1,\n    \"administrator_id\": 8,\n    \"name\": \"<redacted-personal>\",\n    \"enabled\": true,\n    \"administrator\": {\n      \"id\": 8,\n      \"name\": \"<redacted-personal>\",\n      \"lastname\": null,\n      \"email\": \"<redacted-email>\",\n      \"login_type\": 0,\n      \"social_id\": null,\n      \"photo\": null,\n      \"birthdate\": null,\n      \"phone\": null,\n      \"cellphone\": null,\n      \"city_id\": null,\n      \"dropdown_option_id\": null,\n      \"address\": null,\n      \"address_notes\": null,\n      \"zipcode\": null,\n      \"location\": null,\n      \"level\": 5,\n      \"language_id\": 1,\n      \"push_notifications\": true,\n      \"busy\": false,\n      \"available\": false,\n      \"enabled\": true,\n      \"created_at\": \"2018-10-08 15:56:23\",\n      \"updated_at\": \"2018-10-08 15:56:23\",\n      \"deleted_at\": null\n    },\n    \"drivers\": [\n      {\n        \"id\": 9,\n        \"name\": \"<redacted-personal>\",\n        \"lastname\": null,\n        \"email\": \"<redacted-email>\",\n        \"login_type\": 0,\n        \"social_id\": null,\n        \"photo\": null,\n        \"birthdate\": null,\n        \"phone\": null,\n        \"cellphone\": null,\n        \"city_id\": 1,\n        \"dropdown_option_id\": null,\n        \"address\": null,\n        \"address_notes\": null,\n        \"zipcode\": null,\n        \"location\": {\n          \"lat\": 0,\n          \"lng\": 0\n        },\n        \"level\": 4,\n        \"language_id\": 1,\n        \"push_notifications\": true,\n        \"busy\": false,\n        \"available\": true,\n        \"enabled\": true,\n        \"created_at\": \"2018-10-08 15:57:56\",\n        \"updated_at\": \"2018-10-08 15:57:56\",\n        \"deleted_at\": null,\n        \"pivot\": {\n          \"driver_group_id\": 1,\n          \"driver_id\": 9\n        }\n      }\n    ],\n    \"business\": []\n  }\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": false,
              "default": true
            },
            "result": {
              "type": "object",
              "properties": {
                "id": {
                  "type": "integer",
                  "example": 1,
                  "default": 0
                },
                "administrator_id": {
                  "type": "integer",
                  "example": 8,
                  "default": 0
                },
                "name": {
                  "type": "string",
                  "example": "<redacted-personal>"
                },
                "enabled": {
                  "type": "boolean",
                  "example": true,
                  "default": true
                },
                "administrator": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "integer",
                      "example": 8,
                      "default": 0
                    },
                    "name": {
                      "type": "string",
                      "example": "<redacted-personal>"
                    },
                    "lastname": {},
                    "email": {
                      "type": "string",
                      "example": "<redacted-email>"
                    },
                    "login_type": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "social_id": {},
                    "photo": {},
                    "birthdate": {},
                    "phone": {},
                    "cellphone": {},
                    "city_id": {},
                    "dropdown_option_id": {},
                    "address": {},
                    "address_notes": {},
                    "zipcode": {},
                    "location": {},
                    "level": {
                      "type": "integer",
                      "example": 5,
                      "default": 0
                    },
                    "language_id": {
                      "type": "integer",
                      "example": 1,
                      "default": 0
                    },
                    "push_notifications": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "busy": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "available": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "enabled": {
                      "type": "boolean",
                      "example": true,
                      "default": true
                    },
                    "created_at": {
                      "type": "string",
                      "example": "2018-10-08 15:56:23"
                    },
                    "updated_at": {
                      "type": "string",
                      "example": "2018-10-08 15:56:23"
                    },
                    "deleted_at": {}
                  }
                },
                "drivers": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "integer",
                        "example": 9,
                        "default": 0
                      },
                      "name": {
                        "type": "string",
                        "example": "<redacted-personal>"
                      },
                      "lastname": {},
                      "email": {
                        "type": "string",
                        "example": "<redacted-email>"
                      },
                      "login_type": {
                        "type": "integer",
                        "example": 0,
                        "default": 0
                      },
                      "social_id": {},
                      "photo": {},
                      "birthdate": {},
                      "phone": {},
                      "cellphone": {},
                      "city_id": {
                        "type": "integer",
                        "example": 1,
                        "default": 0
                      },
                      "dropdown_option_id": {},
                      "address": {},
                      "address_notes": {},
                      "zipcode": {},
                      "location": {
                        "type": "object",
                        "properties": {
                          "lat": {
                            "type": "number",
                            "example": 0,
                            "default": 0
                          },
                          "lng": {
                            "type": "number",
                            "example": 0,
                            "default": 0
                          }
                        }
                      },
                      "level": {
                        "type": "integer",
                        "example": 4,
                        "default": 0
                      },
                      "language_id": {
                        "type": "integer",
                        "example": 1,
                        "default": 0
                      },
                      "push_notifications": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "busy": {
                        "type": "boolean",
                        "example": false,
                        "default": true
                      },
                      "available": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "enabled": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "created_at": {
                        "type": "string",
                        "example": "2018-10-08 15:57:56"
                      },
                      "updated_at": {
                        "type": "string",
                        "example": "2018-10-08 15:57:56"
                      },
                      "deleted_at": {},
                      "pivot": {
                        "type": "object",
                        "properties": {
                          "driver_group_id": {
                            "type": "integer",
                            "example": 1,
                            "default": 0
                          },
                          "driver_id": {
                            "type": "integer",
                            "example": 9,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                },
                "business": {
                  "type": "array"
                }
              }
            }
          }
        }
      }
    }
  },
  "400": {
    "description": "400",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"The driver group does not exist\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "The driver group does not exist"
              }
            }
          }
        }
      }
    }
  },
  "401": {
    "description": "401",
    "content": {
      "application/json": {
        "examples": {
          "Result": {
            "value": "{\n  \"error\": true,\n  \"result\": [\n    \"You do not have permission.\"\n  ]\n}"
          }
        },
        "schema": {
          "type": "object",
          "properties": {
            "error": {
              "type": "boolean",
              "example": true,
              "default": true
            },
            "result": {
              "type": "array",
              "items": {
                "type": "string",
                "example": "You do not have permission."
              }
            }
          }
        }
      }
    }
  }
}
```
